BDU:2019-02879: Уязвимость функции MP4_EIA608_Convert() (modules/demux/mp4/mp4.c) медиаплеера VideoLAN Media Player, позволяющая нарушителю вызвать отказ в обслуживании

Описание уязвимости Уязвимость функции MP4_EIA608_Convert() (modules/demux/mp4/mp4.c) медиаплеера VideoLAN Media Player связана с целочисленным переполнением, которое приводит к переполнению буфера на основе кучи. Эксплуатация уязвимости может позволить нарушителю, действующему удаленно, вызвать отказ в обслуживании
Вендор Canonical Ltd., Novell Inc., VideoLAN organization
Наименование ПО Ubuntu, OpenSUSE Leap, VLC Media Player
Версия ПО
  • 18.04 LTS (Ubuntu)
  • 15.1 (OpenSUSE Leap)
  • до 3.0.7.1 включительно (VLC Media Player)
Тип ПО Операционная система, Прикладное ПО информационных систем
Операционные системы и аппаратные платформы
Данные уточняются
Тип ошибки Целочисленная потеря значимости (простой или циклический сдвиг)
Идентификатор типа ошибки
Класс уязвимости Уязвимость кода
Дата выявления 27.06.2019
Базовый вектор уязвимости
Уровень опасности уязвимости Критический уровень опасности (базовая оценка CVSS 2.0 составляет 10)
Высокий уровень опасности (базовая оценка CVSS 3.0 составляет 8,8)
Возможные меры по устранению уязвимости
Статус уязвимости Подтверждена производителем
Наличие эксплойта Данные уточняются
Способ эксплуатации
  • Манипулирование структурами данных
Способ устранения Обновление программного обеспечения
Информация об устранении Уязвимость устранена
Ссылки на источники
Идентификаторы других систем описаний уязвимостей
Прочая информация -
Последние изменения